
TYPO3.SwiftMailer - Bug # 12372

Status: Resolved Priority: Should have
Author: Steffen Müller Category:
Created: 2011-01-19 Assigned To: Karsten Dambekalns
Updated: 2011-03-30 Due date:
Subject: Wrong property declaration in message API
Description

The visibility declaration in the Message class is "var", but should be "protected":

class t3lib_mail_Message extends Swift_Message {
  var $mailer;
  var $sent = FALSE;
  var $failedRecipients = array();

Related issues:
related to Core - Bug # 24663: Wrong property declaration in t3lib_mail_Messa... Closed 2011-01-19

Associated revisions
Revision 3daf5ae1 - 2011-03-30 13:28 - Karsten Dambekalns

[BUGFIX] Replace var with protected keyword

Fixes: #12372
Change-Id: I7511a12935a6eff29593c0c19c895c625a703ceb

History
#1 - 2011-01-19 15:04 - Steffen Müller
- File 12372.diff added

Appended patch fixes the issue.

#2 - 2011-01-19 15:12 - Steffen Müller
- File 12372_v2.diff added

Improved patch which also changes the annotations.

#3 - 2011-03-29 15:35 - Karsten Dambekalns
- Project changed from TYPO3.SwiftMailer to Core

#4 - 2011-03-29 15:43 - Ernesto Baschny
- Project changed from Core to TYPO3.SwiftMailer
- Assigned To set to Karsten Dambekalns
This has been fixed in v4 core already (#24663). This issue is to forward-port the fix also to the SwiftMailer package from FLOW3. If it has been fixed
there already, just close the issue. Thanks!

#5 - 2011-03-29 15:54 - Karsten Dambekalns
- Status changed from New to Accepted

Now I got it.

#6 - 2011-03-29 15:56 - Karsten Dambekalns
- Status changed from Accepted to Under Review

http://review.typo3.org/1307

#7 - 2011-03-30 11:55 - Mr. Hudson

Patch set 1 of change I7511a12935a6eff29593c0c19c895c625a703ceb has been pushed to the review server.
It is available at http://review.typo3.org/1307

#8 - 2011-03-30 13:26 - Mr. Hudson

Patch set 2 of change I7511a12935a6eff29593c0c19c895c625a703ceb has been pushed to the review server.
It is available at http://review.typo3.org/1307

#9 - 2011-03-30 13:28 - Mr. Hudson

Patch set 3 of change I7511a12935a6eff29593c0c19c895c625a703ceb has been pushed to the review server.
It is available at http://review.typo3.org/1307

#10 - 2011-03-30 13:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3daf5ae1cc498e81a31bb45875eddb748e11cd35.

Files
12372.diff 616 Bytes 2011-01-19 Steffen Müller
12372_v2.diff 718 Bytes 2011-01-19 Steffen Müller

2015-08-03 2/2

http://review.typo3.org/1307
http://review.typo3.org/1307
http://review.typo3.org/1307
http://review.typo3.org/1307

